Unify and manage your data

List hierarchy versions

Learn more about how to use the hierarchy versions API to return all versions of a hierarchy by ID.

Use the Hierarchy versions to retrieve all versions for a specified hierarchy. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.

HTTP method and endpoint

Use the following HTTP method and endpoint path to submit the request:

GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/list/{hierarchyId}/versions

Request headers

The following request headers must be included.

HeaderValueRequired
AuthorizationBearer <token>Yes

Request body

This operation does not require a request body.

Example request

Use the following example to see how a complete request is structured with headers.

GET /list/prd/versions
Authorization: Bearer <token>

Response fields

The following table describes the fields returned in the response body.

FieldTypeDescription
hierarchyIdStringThe hierarchy ID.
typeStringThe hierarchy type name as defined in the business configuration.
nameStringThe name of the hierarchy.
hasVersioningBooleanIndicates whether the hierarchy is versioned.
singleInstanceIdStringOptional. If versioning is disabled, the ID of the only hierarchy instance.
createdByStringThe username of the user who created the hierarchy.
createdTimeStringThe time when the hierarchy was created, in ISO 8601 date-time format.
updatedByStringThe username of the user who last updated the hierarchy.
updatedTimeStringThe time when the hierarchy was last updated, in ISO 8601 date-time format.

Example response

The following example shows the response body.

[
  {
    "instanceId": "prd.version1",
    "versionId": "version1",
    "name": "Version 1",
    "status": "ACTIVE",
    "effectiveStartDate": "2024-01-01",
    "effectiveEndDate": "2026-12-31",
    "description": "longDescription",
    "context": "longContextDescription",
    "createdBy": "john.smith@reltio.com",
    "createdTime": "2024-10-10T10:13:30",
    "updatedBy": "john.smith@reltio.com",
    "updatedTime": "2024-10-10T10:15:30"
  },
  {
    "instanceId": "prd.versionDraft",
    "versionId": "versionDraft",
    "name": "Version Draft",
    "status": "DRAFT",
    "description": "longDescription of draft",
    "context": "longContextDescription of draft",
    "createdBy": "john.smith@reltio.com",
    "createdTime": "2024-10-10T10:13:30",
    "updatedBy": "john.smith@reltio.com",
    "updatedTime": "2024-10-10T10:15:30"
  }
]